# SPDX-License-Identifier: MIT
%global source_version 2.0.2
%global source_release 8
%global source_url     http://www.stixfonts.org/

%global forge_url https://github.com/stipub/stixfonts/
%global forge_tag v%{version}

%global default_fonts_foundry          STIX
%global default_fonts_license          OFL
%global default_fonts_licenses         docs/STIX_%{version}_license.pdf
%global default_fonts_docs             *.md docs/*.txt
%global default_fonts_docs_exclude     %{default_fonts_licenses}

%global fonts_family                   STIX
%global fonts_summary                  STIX, a scientific and engineering font family
%global fonts_tags                     %{expand:
Obsoletes: stix-math-fonts < %{version}-%{release}
}
%global fonts_fonts                    OTF/STIX2Text*otf OTF/STIX2Math*otf
%global fonts_experimental_confs       65-%{fonts_name}.xml
%global fonts_description              %{expand:
The mission of the Scientific and Technical Information Exchange (STIX) font
creation project is the preparation of a comprehensive font family that serves
the scientific and engineering community in the process from manuscript
creation through final publication, both in electronic and print formats.}

%global doc_licenses0 %{default_fonts_licenses}
%global doc_docs0     docs/charts/*pdf

%auto_init
%auto_pkg

%sourcelist
%auto_sources
65-%{fonts_name}.xml

%prep
%auto_prep
install -m 644 %{_sourcedir}/*xml .

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
%auto_changelog
